java.lang.UnsatisfiedLinkError : libopencv_java246.so : libavcodec.so.54

asked 2013-10-15 16:14:21 -0500

When trying to use the java wrapper for openCV. I followed the instructions here: link text

I built it using the following cmake -DBUILD_SHARED_LIBS=OFF and was able to load the libopencv_java246.so via a java call to System.load("Path to libopencv_java246.so")

But when that call is made it throws the unsatisfiedLinkError for libavcodec.so.54

In the introduction it states: Note When OpenCV is built as a set of static libraries (-DBUILD_SHARED_LIBS=OFF option) the Java bindings dynamic library is all-sufficient, i.e. doesn’t depend on other OpenCV libs, but includes all the OpenCV code inside.

So why is libopencv_java246.so trying to link in libavcodec.so.54?

edit retag flag offensive close merge delete